Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 5002

Summary: Mars-Nwe security vulnerability
Product: [Retired] Red Hat Linux Reporter: zurk
Component: mars-nweAssignee: David Lawrence <dkl>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: high    
Version: 6.0Keywords: Security
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://www.securityfocus.com/data/vulnerabilities/patches/mars.patch
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-09-14 17:40:29 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description zurk 1999-09-08 23:32:37 UTC
I'm not too sure that redhat 6 is vulnerable to this but you
might want to check it out. mars-new package is/has a
boundary condition error..a local exploitable buffer
overflow. Its a root exploit. All versions upto and
including 0.99 (redhat 6?) are believed to be vulnerable to
this. Also wanted to report that anaconda (redhat 6.1's
installer) seems to crash and reboot the machine when it
cant detect the video card (i.e. it cant load the VGA_16
server). not sure where to put that one. Also you might want
to check or change the 6.1 mars-nwe too.

Comment 1 Bill Nottingham 1999-09-09 14:25:59 UTC
Actually, the code that calls system (with the buffer
overflow) is never used.

Comment 2 Bill Nottingham 1999-09-14 17:40:59 UTC
Fixed in the errata release.